@font-face {
  font-family: 'Maloney';
  src: url('/Maloney.woff') format('woff');
}

@font-face {
  font-family: 'dogica pixel';
  src: url('https://ponkipoki.neocities.org/dogicapixel.woff') format('woff');
}

@font-face {
  font-family: 'dogica_pixel_bold';
  src: url('/dogicapixelbold.woff') format('woff');
}


body {
  display: flex;
  justify-content: center;
  background-image: url("/choco_background.png");
  background-size: contain;
  background-repeat: repeat;
  background-attachment: scroll;
  color: #977260;
  font-family: dogica pixel;
}

h1 {
  font-family: dogica_pixel_bold;
  color: #fd96be;
}

p {
  line-height: 1.2;
}



#homeMainBody {
  display: flex;
  max-width: clamp(300px, 47vw, 800px);
  flex-direction: column;
  text-align: center;
  margin-top: 0.5%;
  color: #977260;
  align-items: stretch;
}

.homeScroller {
  scrollbar-width: thin;
  scrollbar-color: #ffe3ed rgba(255, 255, 255, 0);
  scrollbar-color-hover: #f6e0ee;
}


.header {
  display: flex;
  align-items: center;
  position: relative;
  width: 100%;
}

#homeTitleBox {
  display: flex;
  align-items: center;
  justify-content: center;
  height: auto;
  aspect-ratio: 700 / 180;
  width: 100%;
  background-image: url("/title_box_border.png");
  background-size: 100% 100%;
  background-position: center;
  padding: clamp(10px, 1.5%, 1.5%); 

}

#homeTitleInnerBox {
  display: flex;
  height: 86%; 
  width: 96%;
  aspect-ratio: 700 / 180; 
  background: white;
  background-image: url("/title_box_image.png");
  background-size: 110%;
  background-position: 0% 27%;
  background-repeat: no-repeat;
  border: clamp(1.5px, 0.22vw, 50px) solid #8b5a2b;
  border-radius: 10px;
  justify-content: flex-start;
  align-items: flex-end;
  position: relative;
}

.titleName {
  font-family: Maloney;
  font-size: clamp(20px, 3vw, 65px);
  font-weight: bold;
  color: #fdf8da;
  position: absolute;
  bottom: -35%; 
  left: 0%;    
  transform: scale(1.36, 1); 
  transform-origin: left bottom;
  -webkit-text-stroke: clamp(0.77px, 0.02vw, 0.02vw) #624734;
  letter-spacing: -0.2vw;
  margin: 0;
}

#titleBow {
  width: clamp(75px, 20%, 20%);
  height: auto;
  position: absolute;
  left: 82%; 
  bottom: 50%;
  rotate: 7deg;
  z-index: 10; /* Higher numbers sit on top */
}

#titleCookies {
  width: clamp(150px, 20vw, 20vw);
  padding-bottom: 2px;
  padding-left: 2px;
}

.contents {
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin-top: clamp(14px, 2vw, 2vw);
  gap: clamp(7px, 1vw, 1vw);
  position: relative;
  min-width: 300px;
  width: 100%;
}

.contentSidebar {
  display: flex;
  flex-direction: column;
  gap: 1.5%;
  width: clamp(85px, 11.13vw, 11.13vw);
  height: max-content;
  flex-shrink: 0;
}


.siteNav {
  display: flex;
  flex: 1;
  flex-direction: column;
  position: relative;
  justify-content: flex-start;
  /*height: clamp(210px, 28.5vw, 28.5vw);*/
  width: 100%;
  height: auto;
  aspect-ratio: 336 / 860;
  background-image: url("/site_nav_border.png");
  background-size: contain;
  background-repeat: no-repeat;
  text-align: center;
}

#homeNavTitle h2 {
  color: #8b5a2b;
  text-shadow: clamp(0.5px, 0.2vw, 0.2vw) clamp(0.5px, 0.2vw, 0.2vw) white;
  font-size: clamp(6px, 1.05vw, 1.05vw);
  margin-top: clamp(6px, 15%, 15%);
  margin-bottom: 1.5vw;
}

.navLinks {
  display: flex;
  flex-direction: column;
  height: max-content;
  width: auto;
  gap: 0.5vw;
}

.navLinks a:link {
  text-decoration: none;
}

.navLink {
  flex-shrink: 1;
  align-items: center;
  justify-content: center;
}

.navLink a {
  display: inline-flex;
  width: clamp(60px, 9vw, 9vw);
  height: clamp(10px, 1.7vw, 1.7vw);
  box-shadow: -0.2vw -0.2vw black inset;
  border: none;
  border-radius: 2px;
  font-family: dogica pixel;
  font-size: clamp(5px, 0.68vw, 0.68vw);
  align-items: center;
  justify-content: center;
  color: #624734;
}

.navLink a:hover {
  color: #97d5fb;
}

.navLink a:active {
  transform: translateY(2px);
  box-shadow: -0.1vw -0.1vw black inset;
}


#homeNavGuestbook a {
  background-color: #fff5f9;
  box-shadow: -0.2vw -0.2vw #ffb6d1 inset;
}

#homeNavGuestbook a:active {
  color: #97d5fb;
  background-color: #fff5f9;
  box-shadow: -0.1vw -0.1vw #ffb6d1 inset;
}

#homeNavArtfight a {
  background-color: white;
  box-shadow: -0.2vw -0.2vw #ebfaff inset;
}

#homeNavArtfight a:active {
  color: #97d5fb;
  background-color: white;
  box-shadow: -0.1vw -0.1vw #ebfaff inset;
}

#homeNavNeocities a {
  background-color: #fff6eb;
  box-shadow: -0.2vw -0.2vw #fcc789 inset;
}

#homeNavNeocities a:active {
  color: #97d5fb;
  background-color: #fff6eb;
  box-shadow: -0.1vw -0.1vw #fcc789 inset;
}

#navDecor {
  width: 60%;
  height: auto;
  position: absolute;
  right: 70%; 
  top: 83%;
}

.sidebarDecorFrame {
  display: flex;
  align-items: center;
  justify-content: center;
  /*height: clamp(82px, 11vw, 11vw);*/
  /*width: auto;*/

  max-width: 100%;
  aspect-ratio: 107 / 107;
  height: auto;
  margin-top: 1vw;
}

#homeDecorFrame1, #homeDecorFrame2 {
  background-image: url("/lace_frame.png");
  background-size: cover;
  background-repeat: no-repeat;
}

#mainSidebarDeco1 {
  height: 75%;
  width: auto;
}

#mainSidebarDeco2 {
  height: 75%;
  width: auto;
}

.mainContents{
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 2%;
}

#mainTopContents {
  display: flex;
  flex-direction: row;
  gap: 2%;
  height: clamp(140px, 20vw, 20vw);
}


#mainWelcome {
  display: flex;
  align-items: flex-start;
  justify-content: center;
  width: auto;
  max-height: 100%;
  min-height: 100%;
  aspect-ratio: 1500 / 1150;
  background-image: url("/piano_border.png");
  background-size: cover;
  /*border: 0.25vw solid #fae6ef;*/
  border-radius: 5px;
  /*padding: clamp(0, 0.5vw, 0.5vw);*/
  position: relative;
  box-sizing: border-box;
}

#welcomeTextBox {
  height: 70%;
  width: clamp(150px, 22vw, 22vw);
  /*aspect-ratio: 290 / 203;*/
  background-color: white;
  /*padding-left: 1.5%;*/
  /*padding-right: 1.5%;*/
  margin-top: 2%;
  padding-right: 1%;
  padding-left: 1%;
  /*margin-left: 3%;*/
  overflow-y: auto;
  overflow-x: hidden;
  border: 0.2vw solid #ffb6d1;
  border-radius: 5px;

}

#welcomeTextBox h1 {
  font-size: 1.5rem;
}

#welcomeTextBox p {
  font-size: 0.7rem;  
  color: #fd96be;
}


#mainNotepad {
  box-sizing: border-box;
  /*height: clamp(125px, 20vw, 20vw);*/
  width: auto;
  min-height: 100%;
  max-height: 100%;
  aspect-ratio: 262 / 500;
  background-image: url("home_stamp_border2.png");
  background-repeat: no-repeat;
  background-size: contain;
  flex-shrink: 0;
}

#currentlyContents {
  margin: clamp(17px, 2vw, 2vw) clamp(2px, 0.25vw, 0.25vw);
}

#currentlyTitle {
  text-shadow: clamp(0.5px, 0.2vw, 0.2vw) clamp(0.5px, 0.2vw, 0.2vw) #fdf8da;
  font-size: clamp(6px, 1vw, 1vw);
  color: #8b5a2b;
}

#currentList {
  display: flex;
  flex-direction: column;
  margin-top: -5px;
  gap: clamp(1px, 0.5vw, 0.5vw);
}

.currentItem h2 {
  font-size: clamp(3.5px, 0.65vw, 0.65vw);
  color: #87CEEB;
  line-height: clamp(1px, 0.7vw, 0.7vw);
  margin: 3% auto;
}

.currentItem p {
  font-size: clamp(3.5px, 0.65vw, 0.65vw);
  margin: 0px;
  color: #624734;
  letter-spacing: -10%;
}

#mainBottomContents {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  gap: clamp(5px, 1vw, 1vw);
}

#homeBottomLeftContents {
  display: flex;
  flex-direction: column;
  width: clamp(150px, 22vw, 22vw);
  gap: clamp(2px, 1.2vw, 1.2vw);
}

#statusBox {
  display: flex;
  flex: 1;
  align-items: flex-start;
  width: 100%;
  height: auto;
  aspect-ratio: 400 / 242;
  background-image: url("/status_box.png");
  background-size: contain;
  background-repeat: no-repeat;
  /*box-sizing: border-box;*/
  /*background-color: #c3ada0ff;*/
  /*outline: 0.2vw dashed #624734;*/
  /*outline-offset: -0.7vw;*/
  /*padding: 1vw;*/
  
}

#statusContents {
  display: flex;
  flex-direction: column;
  max-height: 100%;
  max-width: 100%;
  min-width: 80%;
}

#statusTitle {
  padding-left: clamp(2px, 0.5vw, 0.5vw);
  text-align: start;
  padding-top: clamp(2px, 0.5vw, 0.5vw);
}

#statusTitle h1 {
  font-size: clamp(8px, 1.15vw, 1.15vw);
  color: #624734;
}

#statusList {
  box-sizing: border-box;
  margin-left: 1.8vw;
  margin-top: 1.7vw;
  width: 100%;
  /*width: clamp(70px, 17vw, 17vw);*/
  /*height: auto;*/
  /*aspect-ratio: 750 / 275;*/
  max-height: 100%;
  flex-grow: 1;
  /*background-color: yellow;*/
}

#neighborsBox {
  display: flex;
  flex-direction: row;
  align-items: center;
  max-width: 100%;
  height: clamp(40px, 1vw, 1vw);
  background-color: white;
  border-radius: 5px;
  border: solid black 1px;
  overflow: hidden;
  white-space: nowrap;
  contain: content;
  /*padding: 0 5px;  */
}

#neighborsContents {
  display: inline-flex;
  min-width: 2820px;
  animation: seamlessLoop 25s linear infinite; 
  will-change: transform;
}

#neighborsContents img {
  flex-shrink: 0;
  padding: 0 3px;
}

#neighborsContents:hover {
  animation-play-state: paused;
}


#homeBottomRightContents {
  display: flex;
  flex-direction: column;
  gap: clamp(2px, 1.2vw, 1.2vw);
  max-width: 14vw;
}

.musicPlayer {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex: 1 1 100%;
  /*height: clamp(110px, 18vw, 18vw);*/
  min-width: 100%;
  max-width: 100%;
  aspect-ratio: 145 / 207;
  height: auto;
  padding: 0.7vw;
  border-radius: 5px;
  box-sizing: border-box;
  
  overflow: hidden;
  white-space: nowrap;
  /*flex: 0 1 auto;*/
  /*min-width: 0; */
  /*max-width: 190px;*/
}

#homeMusicPlayer {
  background-image: url("/home_cd_background.png");
  background-size: cover;
  box-shadow: 0.3vw 0.3vw #ffb6d1;
}

.cdImage {
  align-self: center;
  min-width: 98%;
  max-width: 98%;
  height: auto;
  /*width: clamp(80px, 12.5vw, 12.5vw);*/
  /*height: auto;*/
  /*aspect-ratio: 100 / 100;*/
  /*filter: drop-shadow(3.5px 3.5px 2px rgba(255, 255, 255, 1));*/
}

/*for spinning cd image*/
@keyframes spin {
    from { transform: rotate(0deg); }
    to { transform: rotate(360deg); }
}

.rotating {
    animation: spin 3s linear infinite;
}

.paused {
    animation-play-state: paused;
}

.musicMainContentsWrapper {
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  max-width: 100%;
  align-items: center;
  justify-content: flex-end;
  width: auto;
  flex: 0 1 auto;
  min-width: 0; 
}



.musicPlayerControlsContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 0.5vw;
  width: 100%;
  
  gap: clamp(2px, 0.5vw, 0.5vw);
}

/*TEXT WINDOW*/
.songInfo {  
  display: block; 
  line-height: clamp(9px, 1vw, 1vw);
  font-family: "dogica_pixel_bold";
  font-size: clamp(8px, 0.8vw, 0.8vw);
  color: #624734;
  height: auto;
  width: 100%; 
  max-width: 100%; 
  box-sizing: border-box; 
  padding: 0 15px;     
  text-align: left;
  overflow: hidden;
  white-space: nowrap;
}

/*scroll mechanics for audio info*/
.songInfoText {
  display: inline-flex;
  width: max-content;
  white-space: nowrap;
  flex-shrink: 0;
}

.songInfoText.is-playing {
  visibility: visible;
  animation: seamlessLoop 10s linear infinite;
}

@keyframes seamlessLoop {
    0% { transform: translateX(0); }
    100% { transform: translateX(-50%); }
}

@keyframes seamlessLoopRight {
    0% {  transform: translateX(-50%); }
    100% { transform: translateX(0);  }
}

.playPauseButton {
  width: clamp(10px, 1vw, 1vw);
  height: auto;
  aspect-ratio: 20 / 20;
  background-image: url("/home_play.png");
  background-size: contain;
  background-repeat: no-repeat;
}

.playPauseButton.is-playing {
  background-image: url('/home_pause.png');
}

.sliderWrapper {
  position: relative;
  height: clamp(8px, 0.5vw, 0.5vw);
  width: 100%;
  background-color: green;
}

/*Song location slider*/
#songSlider {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: #fdf8da;
}

/*Track progress bar*/
#trackProgress {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: #ffe3ed;
  border: solid 0.25px #ff659e;
  z-index: 10;
}

#siteButtonBox {
  display: flex;
  min-width: 100%;
  max-width: 100%;
  /*height: clamp(50px, 11vw, 11vw);*/
  height: auto;
  aspect-ratio: 151 / 121;
  background-image: url("/stars_and_stripes.png");
  background-size: cover;
  
  overflow-y: auto; 
  overflow-x: hidden;
}

#siteButtonBox h2 {
  font-size: clamp(6px, 0.8vw, 0.8vw);
  color: #fd96be;
  margin: 2px auto;
}

#siteButtonBox p {
  color: #624734;
  font-size: clamp(3.5px, 0.7vw, 0.7vw);
  margin: 0px;
  letter-spacing: -10%
}

#siteButtonContents {
  display: flex;
  /*flex-grow: 1;*/
  flex-direction: column;
  align-items: center;
  background-color: white;
  border: dashed #fd96be 2px;
  margin: 0.7vw;
  padding: 0.5vw 0.3vw;
  height: auto;
  gap: 0.7vw;
  max-width: 100%;
  overflow: scroll;
}






@media (max-width: 1000px) {
  
  /*#mainTopContents {*/
  /*  height: 150px;*/
  /*}*/
  
  
  #welcomeTextBox {
    border: 0.5vw solid #e8b1c6;
  }
  
  #welcomeTextBox h1 {
    margin-top: 1%;
    font-size: 10px;
  }
  
   #welcomeTextBox p {
    font-size: 5px;
  }
  
  .titleName {
    bottom: -25px; 
  }
  
  #homeNavTitle h2 {
    margin-bottom: 0.6vw;
  }
  
  
  .navLink {
    margin-bottom: -5px;
  }
  
  
  #statusList {
    margin-top: 10px;
    margin-left: 10px;
  }
  
  /*#mainNotepad {*/
    /*min-height: 130px;*/
  /*  height: 100%;*/
  /*}*/

  
  #currentMood img {
    height: 40%;
    width: 40%;
    padding-top: 1px;
  }
  
  #welcomePom, #welcomeSanrio {
    height: 0.8rem;
  }

  #homeBottomRightContents {
    min-width: 100px;
  }
  
}

/*@media (min-width: 1001px) {*/
/*  #welcomeTextBox {*/
/*    font-size: 13px;*/
/*  }*/
/*}*/
    
    
    




